package com.taais.biz.constant;

/**
 * @author allen
 */
public class BizConstant {

    public static final String TASK_FOLDER_PATH_HEAD = "/task/";

    public static final String TASK_FOLDER_PATH_MID_TRAIN = "/train/";
    public static final String TASK_FOLDER_PATH_MID_TEST = "/test/";

    public static final String TASK_FOLDER_PATH_MID_REASONING = "/reasoning/";

    public static final String TASK_FOLDER_PATH_TRAIL_ORIGINAL = "/original/";

    public static final String TASK_FOLDER_PATH_TRAIL_ENHANCEMENT = "/enhancement/";

    public static final String TASK_FOLDER_PATH_TRAIL_EXPANSION = "/expansion/";

    public static final String TASK_FOLDER_PATH_TRAIL_RESULT= "/result/";

    public static final String IMAGE = "image";
    public static final String LABEL = "label";

    public static final String STEP1_SELECT_TASK = "1";
    public static final String STEP2_TRAIN_DATA_SELECT = "2";
    public static final String STEP3_TRAIN_DATA_ENHANCEMENT = "3";
    public static final String STEP4_TRAIN_DATA_EXPANSION = "4";
    public static final String STEP5_TRAIN = "5";

    public static final String STEP6_TEST_DATA_SELECT = "6";
    public static final String STEP7_TEST_DATA_ENHANCEMENT = "7";
    public static final String STEP8_TEST_DATA_EXPANSION = "8";
    public static final String STEP9_TEST = "9";

    public static final String STEP10_REASONING_DATA_SELECT = "10";
    public static final String STEP11_REASONING_DATA_ENHANCEMENT = "11";
    public static final String STEP12_REASONING_DATA_EXPANSION = "12";
    public static final String STEP13_REASONING = "13";

    // task status 要和数据字典保持一致 biz_task_status
    public static final String TASK_STATUS_PENDING = "0";
    public static final String TASK_STATUS_PROCESSING = "1";
    public static final String TASK_STATUS_SUCCEED = "2";
    public static final String TASK_STATUS_FAILED = "3";

    public static final String TYPE_DATA_PROCESS = "dataProcess";
    public static final String TYPE_DATA_BIZ_PROCESS = "dataBizProcess";
}
